VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Processor Class Reference

MPE Decompose Processor. More...

`#include <mpeprocessor.h>`

## Public Member Functions
| Processor (Handler *delegate, size_t maxNotesPerChannel=16)
| ~Processor () noexcept
const Setup & | getSetup () const
void | changeSetup (const Setup &setup)
| change the MPE setup
void | reset ()
| reset all notes
void | processMIDIInput (const uint8_t *data, size_t dataSize)
| feed new native MIDI data

## Detailed Description

MPE Decompose Processor.

decomposes MPE MIDI messages

## Constructor & Destructor Documentation

## ◆ Processor()

Processor | ( | Handler * | delegate,
|  | size_t | maxNotesPerChannel = 16 )

## ◆ ~Processor()

~Processor | ( |  | ) |
| default noexcept

## Member Function Documentation

## ◆ getSetup()

const Setup & getSetup | ( |  | ) | const

## ◆ changeSetup()

void changeSetup | ( | const Setup & | setup | ) |

change the MPE setup

make sure that MIDI processing is stopped while this is called.

Parameters

  setup | new setup

## ◆ reset()

void reset | ( |  | ) |

reset all notes

All playing notes will be stopped and note identifiers are released.

## ◆ processMIDIInput()

void processMIDIInput | ( | const uint8_t * | data,
|  | size_t | dataSize )

feed new native MIDI data

Parameters

  data | MIDI data buffer
  dataSize | data buffer size in bytes

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.